$(document).on('click', '.block-lang > ul > i', function(event) {
    if ($(this).parent().hasClass('open'))
    {
        $(this).parent().removeClass('open');
        $(this).parent().css({'height': '22px'});
    }
    else
    {
        $(this).parent().addClass('open');
        $(this).parent().css("height", "auto");
    }
    event.preventDefault();
});